Update Session Attendance
curl --request PUT \
--url https://api.swoogo.com/api/v1/session-attendances/update/{session_attendance_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'waiting_room_date=2022-06-26 14:30:00' \
--data 'check_in_date=2022-06-26 14:30:00' \
--data 'check_out_date=2022-06-26 14:30:00' \
--data 'on_demand_date=2022-06-26 14:30:00'import requests
url = "https://api.swoogo.com/api/v1/session-attendances/update/{session_attendance_id}"
payload = {
"waiting_room_date": "2022-06-26 14:30:00",
"check_in_date": "2022-06-26 14:30:00",
"check_out_date": "2022-06-26 14:30:00",
"on_demand_date": "2022-06-26 14:30:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
waiting_room_date: '2022-06-26 14:30:00',
check_in_date: '2022-06-26 14:30:00',
check_out_date: '2022-06-26 14:30:00',
on_demand_date: '2022-06-26 14:30:00'
})
};
fetch('https://api.swoogo.com/api/v1/session-attendances/update/{session_attendance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 789,
"session_id": "123",
"registrant_id": "456",
"waiting_room_date": "2022-06-26 14:25:00",
"check_in_date": "2022-06-26 15:30:00",
"check_out_date": "2022-06-26 16:30:00",
"duration": "60",
"on_demand_date": "2022-06-27 10:00:00"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Session Attendance
Update Session Attendance
Updates an existing session attendance record by its ID. Use this to modify the attendance status or other details of a previously recorded attendance entry.
PUT
/
session-attendances
/
update
/
{session_attendance_id}
Update Session Attendance
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the object you want to update
Example:
1
Body
application/x-www-form-urlencodedmultipart/form-data
Response
Session Attendance updated successfully
Example:
789
Example:
"123"
Example:
"456"
Example:
"2022-06-26 14:25:00"
Example:
"2022-06-26 15:30:00"
Example:
"2022-06-26 16:30:00"
Example:
"60"
Example:
"2022-06-27 10:00:00"
⌘I